import type { Network, SignOnlySigner, SignedTx, Signer, UnsignedTransaction } from '@wormhole-foundation/sdk-connect';
import { PlatformNativeSigner } from '@wormhole-foundation/sdk-connect';
import type { Provider, Signer as EthersSigner } from 'ethers';
import type { EvmChains } from './types.js';
export declare function getEvmSignerForKey(rpc: Provider, privateKey: string): Promise<Signer>;
export declare function getEvmSignerForSigner(chain: EvmChains, signer: EthersSigner): Promise<Signer>;
export declare class EvmNativeSigner<N extends Network, C extends EvmChains = EvmChains> extends PlatformNativeSigner<EthersSigner, N, C> implements SignOnlySigner<N, C> {
    chain(): C;
    address(): string;
    sign(tx: UnsignedTransaction<N, C>[]): Promise<SignedTx[]>;
}
export declare function isEvmNativeSigner<N extends Network>(signer: Signer<N>): signer is EvmNativeSigner<N>;
//# sourceMappingURL=signer.d.ts.map